#include "CS_KingFaceToBack.h"
const int CS_KingSTATENAME_FACETOBACK = ++entityStateID;
CS_KingFaceToBack::CS_KingFaceToBack()
{
	stateID = CS_KingSTATENAME_FACETOBACK;
}

void CS_KingFaceToBack::State()
{
	auto we = e.lock();
	if (!we)
		return;

	const wchar_t* back = we->lr == 0 ? L"mc_king_back_l" : L"mc_king_back_r";
	we->ani.sprite_index = back;
}

void CS_KingFaceToBack::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
